PDA

View Full Version : Can't install Screenlets



Mountainjew
20th August 2008, 08:44 PM
Yeah, so i just migrated from Ubuntu yesterday and everything was going fine until i tried to install screenlets. First off, i've read some people can install it through Yum, but it doesn't seem to be in the repo (anymore?)...

So i downloaded the .rpm from the screenlets site and when i try to install it, i get the following dependency error:


gnome-python-desktop python-gnome python-gnome-extras python-gtk is needed

So of course i try to install the missing dependencies from Yum, but get the following:



No package gnome-python-desktop available.
No package python-gnome available.
No package python-gnome-extras available.
No package python-gtk available.
Nothing to do

And here's the output of my repolist:


Loaded plugins: refresh-packagekit
adobe-linux-i386 Adobe Systems Incorporated enabled : 17
fedora Fedora 9 - i386 enabled : 9,897
fedora-source Fedora 9 - Source enabled : 5,547
livna Livna for Fedora Core 9 - i386 - Base enabled : 787
livna-source Livna for Fedora Core 9 - i386 - Source enabled : 225
updates Fedora 9 - i386 - Updates enabled : 3,365
updates-source Fedora 9 - Updates Source enabled : 1,432
repolist: 21,270


So i've searched high and low for a solution but haven't came accross anything....Can anyone tell me how to resolve these dependency issues? Since they don't seem to be in the repos :(

beatyrm
20th August 2008, 09:21 PM
$> wget http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-release-1-5.noarch.rpm

Install that to get the repo set up

$> yum install screenlets.noarch

That should do it.

-Robert

Mountainjew
20th August 2008, 09:43 PM
Thanks a lot man, that worked :)

My life is complete once again :D

beatyrm
20th August 2008, 09:45 PM
No problem, I went through having to dig up getting those installed just a few days ago. It was a real pain so I'm glad to save someone else the trouble.

-Robert

BenTrein
1st February 2009, 04:29 AM
$> wget http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-release-1-5.noarch.rpm


It works no longer...

wget http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-release-1-5.noarch.rpm
--2009-02-01 17:27:35-- http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-release-1-5.noarch.rpm
Resolving www.linux-ati-drivers.homecall.co.uk... 212.74.112.95
Connecting to www.linux-ati-drivers.homecall.co.uk|212.74.112.95|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-02-01 17:27:37 ERROR 404: Not Found.

Any suggestions? Also the screenlets.org website has gone back to godaddy...